### POST /platform/v1/teams Source: https://cloud.ibm.com/apidocs/monitor.json Create a new team.\ \ **Required permissions:** _teams.create_ ```markdown ### Request Body **Content-Type:** application/json - **additionalTeamPermissions** (object): Additional permissions available to the users of the team. - **hasAgentCli** (boolean) (example: false) - **hasAwsData** (boolean) (example: false) - **hasBeaconMetrics** (boolean) (example: false) - **hasInfrastructureEvents** (boolean) (example: false) - **hasRapidResponse** (boolean) (example: false) - **hasSysdigCaptures** (boolean): Enable the Sysdig captures feature for this team. (example: false) - **customTeamRoleId** (integer (int64)): (example: 1) - **description** (string): A longer description of the team explaining what is it used for. (example: "Longer team description") - **isAllZones** (boolean): **True** if the users that are members of this team have access to all zones. **Mutually exclusive with zoneIds**.\ \ _Only supported in Secure features._ (example: false) - **isDefaultTeam** (boolean): Specifies if the team is the default team. The default team is used to automatically assign new users to a team. (example: false) - **name** (string) (required): The name of the team. It must be unique. (example: "Team name") - **product** (string (monitor|secure)) (required): The Sysdig product (example: "secure") ("monitor"|"secure") - **scopes** (array (ScopeV1)): Scopes is a list of different scope types and filter values that will be applied to resources when accessed through the team. Array items: - **expression** (string) (required) (example: "kubernetes.cluster.name in (\"test-env\")") - **type** (string (AGENT|AWS_CLOUD_WATCH|HOST_CONTAINER|IBM_PLATFORM_METRICS|PROMETHEUS_REMOTE_WRITE)) (required) (example: "PROMETHEUS_REMOTE_WRITE") ("AGENT"|"AWS_CLOUD_WATCH"|"HOST_CONTAINER"|"IBM_PLATFORM_METRICS"|"PROMETHEUS_REMOTE_WRITE") - **standardTeamRole** (string (ROLE_TEAM_NONE|ROLE_TEAM_READ|ROLE_TEAM_SERVICE_MANAGER|ROLE_TEAM_STANDARD|ROLE_TEAM_EDIT|ROLE_TEAM_MANAGER)): The standard team role provided by Sysdig. (example: "ROLE_TEAM_READ") ("ROLE_TEAM_NONE"|"ROLE_TEAM_READ"|"ROLE_TEAM_SERVICE_MANAGER"|"ROLE_TEAM_STANDARD"|"ROLE_TEAM_EDIT"|"ROLE_TEAM_MANAGER") - **uiSettings** (object): UI related settings. - **entryPoint** (object): The page you see after logging into Sysdig UI. It is defined by a Module and a Selection. **The Entry Point is not supported in Sysdig Secure.** - **module** (string (Alerts|Dashboards|Events|Explore|Overview|Settings|DashboardTemplates)): The Module is the area in Sysdig Monitor. (example: "Alerts") ("Alerts"|"Dashboards"|"Events"|"Explore"|"Overview"|"Settings"|"DashboardTemplates") - **selection** (string): The selection is the specific page within the Module, usually defined by the resource ID. It is supported only supported by **Dashboards** and **DashboardTemplates** Modules. (example: "2231245") - **theme** (string): The color assigned to the team. (example: "#112233") - **zoneIds** (array (UnlimitedLong)): The list of zones that users assigned to this team will have access to. **Mutually exclusive with allZones**.\ \ _Only supported in Secure features._ ### Responses #### 201 - Team created. **TeamResponseV1** - **additionalTeamPermissions** (object): Additional permissions available to the users of the team. - **hasAgentCli** (boolean) (example: false) - **hasAwsData** (boolean) (example: false) - **hasBeaconMetrics** (boolean) (example: false) - **hasInfrastructureEvents** (boolean) (example: false) - **hasRapidResponse** (boolean) (example: false) - **hasSysdigCaptures** (boolean): Enable the Sysdig captures feature for this team. (example: false) - **customTeamRoleId** (integer (int64)): (example: 1) - **dateCreated** (string (date-time)): The date (in ISO 8601 format) when this team was created. (example: "2017-07-21T17:32:28Z") - **description** (string): A description of the team explaining what is it used for. (example: "This team has access to scanning results") - **id** (integer (int64)): (example: 1) - **isAllZones** (boolean): 'True' if the users belonging to this team have access to all zones. Mutually exclusive with 'zoneIds'. (example: false) - **isDefaultTeam** (boolean): Specifies if the team is the default team. The default team is used to automatically assign new users to a team. (example: false) - **isImmutableTeam** (boolean): Specifies if the team is immutable. This is true if the team was created by the system with full access. It cannot be modified. (example: false) - **lastUpdated** (string (date-time)): The date (in ISO 8601 format) when this team was last updated. (example: "2017-07-21T17:32:28Z") - **name** (string): The name of the team. It must be unique. (example: "Scanning operations") - **product** (string (monitor|secure)): The Sysdig product (example: "secure") ("monitor"|"secure") - **scopes** (array (ScopeV1)): The scopes available to the users of this team. Array items: - **expression** (string) (required) (example: "kubernetes.cluster.name in (\"test-env\")") - **type** (string (AGENT|AWS_CLOUD_WATCH|HOST_CONTAINER|IBM_PLATFORM_METRICS|PROMETHEUS_REMOTE_WRITE)) (required) (example: "PROMETHEUS_REMOTE_WRITE") ("AGENT"|"AWS_CLOUD_WATCH"|"HOST_CONTAINER"|"IBM_PLATFORM_METRICS"|"PROMETHEUS_REMOTE_WRITE") - **standardTeamRole** (string (ROLE_TEAM_NONE|ROLE_TEAM_READ|ROLE_TEAM_SERVICE_MANAGER|ROLE_TEAM_STANDARD|ROLE_TEAM_EDIT|ROLE_TEAM_MANAGER)): The standard team role provided by Sysdig. (example: "ROLE_TEAM_READ") ("ROLE_TEAM_NONE"|"ROLE_TEAM_READ"|"ROLE_TEAM_SERVICE_MANAGER"|"ROLE_TEAM_STANDARD"|"ROLE_TEAM_EDIT"|"ROLE_TEAM_MANAGER") - **uiSettings** (object): UI related settings. - **entryPoint** (object): The page you see after logging into Sysdig UI. It is defined by a Module and a Selection. **The Entry Point is not supported in Sysdig Secure.** - **module** (string (Alerts|Dashboards|Events|Explore|Overview|Settings|DashboardTemplates)): The Module is the area in Sysdig Monitor. (example: "Alerts") ("Alerts"|"Dashboards"|"Events"|"Explore"|"Overview"|"Settings"|"DashboardTemplates") - **selection** (string): The selection is the specific page within the Module, usually defined by the resource ID. It is supported only supported by **Dashboards** and **DashboardTemplates** Modules. (example: "2231245") - **theme** (string): The color assigned to the team. (example: "#112233") - **version** (integer (int64)): (example: 1) - **zoneIds** (array (UnlimitedLong)): The list of zones that users assigned to this team will have access to. Mutually exclusive with 'allZones'. #### 400 - response **Error** - **details** (array (unknown)): A list of details related to the error. - **message** (string): A human readable error message. (example: "Error message") - **type** (string): The error code. (example: "resource_not_found") #### 401 - response **Error** - **details** (array (unknown)): A list of details related to the error. - **message** (string): A human readable error message. (example: "Error message") - **type** (string): The error code. (example: "resource_not_found") #### 409 - response **Error** - **details** (array (unknown)): A list of details related to the error. - **message** (string): A human readable error message. (example: "Error message") - **type** (string): The error code. (example: "resource_not_found") #### 415 - response **Error** - **details** (array (unknown)): A list of details related to the error. - **message** (string): A human readable error message. (example: "Error message") - **type** (string): The error code. (example: "resource_not_found") #### 422 - response **Error** - **details** (array (unknown)): A list of details related to the error. - **message** (string): A human readable error message. (example: "Error message") - **type** (string): The error code. (example: "resource_not_found") #### 429 - response **Error** - **details** (array (unknown)): A list of details related to the error. - **message** (string): A human readable error message. (example: "Error message") - **type** (string): The error code. (example: "resource_not_found") #### 500 - response **Error** - **details** (array (unknown)): A list of details related to the error. - **message** (string): A human readable error message. (example: "Error message") - **type** (string): The error code. (example: "resource_not_found") ### Example Usage ```bash curl -X POST "https://api.us1.sysdig.com/platform/v1/teams" \ -H "Content-Type: application/json" \ -d '{ "additionalTeamPermissions": "value", "customTeamRoleId": "value", "description": "Longer team description", "isAllZones": false, "isDefaultTeam": false, "name": "Team name", "product": "value", "scopes": [ "value" ], "standardTeamRole": "value", "uiSettings": "value", "zoneIds": [ "value" ] }' ``` ``` -------------------------------- ### GET /api/v1/silencingRules Source: https://cloud.ibm.com/apidocs/monitor.json API endpoint for GET /api/v1/silencingRules ```markdown ### Parameters - **X-Sysdig-Public-Notation** (boolean, header, optional): Optional boolean header. Performs translation of metrics and labels into prometheus/public notation ### Responses #### 200 - Success - Array of SilencingRuleDTO #### 401 - Unauthorized #### 403 - Forbidden #### 404 - Not Found ### Example Usage ```bash curl -X GET "https://api.us1.sysdig.com/api/v1/silencingRules" ``` ``` -------------------------------- ### Schema: Entry Point Source: https://cloud.ibm.com/apidocs/monitor.json The page you see after logging into Sysdig UI. It is defined by a Module and a Selection. **The Entry Point is not supported in Sysdig Secure.** ```markdown ## Schema: Entry Point The page you see after logging into Sysdig UI. It is defined by a Module and a Selection. **The Entry Point is not supported in Sysdig Secure.** **Type:** object - **module** (string (Alerts|Dashboards|Events|Explore|Overview|Settings|DashboardTemplates)): The Module is the area in Sysdig Monitor. (example: "Alerts") ("Alerts"|"Dashboards"|"Events"|"Explore"|"Overview"|"Settings"|"DashboardTemplates") - **selection** (string): The selection is the specific page within the Module, usually defined by the resource ID. It is supported only supported by **Dashboards** and **DashboardTemplates** Modules. (example: "2231245") ``` -------------------------------- ### GET /api/v2/alerts/{alertId} Source: https://cloud.ibm.com/apidocs/monitor.json API endpoint for GET /api/v2/alerts/{alertId} ```markdown ### Parameters - **X-Sysdig-Public-Notation** (boolean, header, optional): Optional boolean header. Performs translation of metrics and labels into prometheus/public notation - **alertId** (integer (int64), path, required): ID of the alert to fetch ### Responses #### 200 - Alert was found **AlertV2Wrapper** - **alert** (object): Alert V2 - **captureConfig** (object): Alert V2 Capture Config - **durationSec** (integer (int64)) (required): Capture duration in seconds (example: 1800) - **enabled** (boolean): Capture enablement status (example: false) - **fileName** (string) (required): Capture file name - **filter** (string): Capture filter - **storage** (string): Capture storage (example: "S3") - **config** (object): Downtime Alert Config V2 - **conditionOperator** (string) (required): The condition operator (example: ">") - **duration** (integer (int64)): A time interval that defines for how long an Alert's condition should be met before an Alert Occurrence is created. Measured in seconds (example: 60) - **groupAggregation** (string (avg|timeAvg|max|min|sum|key|none|concat|count|distinct|delta|percentile50|percentile75|percentile90|percentile95|percentile99|rateOfChange|counter)): The group aggregation (example: "avg") ("avg"|"timeAvg"|"max"|"min"|"sum"|"key"|"none"|"concat"|"count"|"distinct"|"delta"|"percentile50"|"percentile75"|"percentile90"|"percentile95"|"percentile99"|"rateOfChange"|"counter") - **mainConditionLabel** (string): The main condition label (example: "Alert") - **metric** (object): Alert Metric Descriptor V2 - **groupAggregations** (array (string (avg|timeAvg|max|min|sum|key|none|concat|count|distinct|delta|percentile50|percentile75|percentile90|percentile95|percentile99|rateOfChange|counter))): Set of group aggregations - **id** (string): The metric ID - **metricType** (string): The metric type - **publicId** (string): The prometheus public ID - **scale** (number (double)): The scale - **timeAggregations** (array (string (avg|timeAvg|max|min|sum|key|none|concat|count|distinct|delta|percentile50|percentile75|percentile90|percentile95|percentile99|rateOfChange|counter))): Set of time aggregations - **type** (string): The type - **metricId** (string): The metric id (example: "sysdig_container_up") - **noDataBehaviour** (string (DO_NOTHING|TRIGGER|DO_NOTHING|TRIGGER)): The way the alert should behave in case no data is retrieved from the storage. Possible values are DO_NOTHING or TRIGGER (example: "DO_NOTHING") ("DO_NOTHING"|"TRIGGER"|"DO_NOTHING"|"TRIGGER") - **notificationGroupingCondition** (object): The notification grouping condition. Controls how many notifications are sent for segmented alerts - **type** (string (ALL|ANY|COUNT|PERCENT)): Type of notification grouping condition. Default to ANY. Accepted values are: ALL (sends one notification, only if all segments trigger the alert), ANY (send one notification for each segment that triggers the alert), COUNT (sends one notification, only if at least segments trigger the alert), PERCENT (sends one notification, only if at least percentage of the segments trigger the alert) ("ALL"|"ANY"|"COUNT"|"PERCENT") - **value** (number (double)): Threshold used when type is COUNT or PERCENTAGE - **range** (integer (int64)): Range of data points considered for the time aggregation. Measured in seconds (example: 180) - **scope** (object): Alert Scope V2 - **expressions** (array (ScopeExpressionV2DTO)): Scope specified as a list of scope expressions. Array items: - **descriptor** (object): Alert Label Descriptor V2 (example: []) - **id** (string) (required): The metric ID - **publicId** (string): The prometheus public ID - **operand** (string) (required): The operand - **operator** (string (equals|notEquals|in|notIn|contains|notContains|startsWith)) (required): The operator ("equals"|"notEquals"|"in"|"notIn"|"contains"|"notContains"|"startsWith") - **value** (array (string)) (required): The value - **text** (string): Scope expressed as a text string. On writes, will only take effect if the "expressions" field is not specified - **segmentBy** (array (AlertLabelDescriptorV2DTO)): List of labels for alert segmentation (example: []) Array items: - **threshold** (number (double)) (required): The main threshold (example: 50) - **timeAggregation** (string (avg|timeAvg|max|min|sum|key|none|concat|count|distinct|delta|percentile50|percentile75|percentile90|percentile95|percentile99|rateOfChange|counter)) (required): The time aggregation (example: "timeAvg") ("avg"|"timeAvg"|"max"|"min"|"sum"|"key"|"none"|"concat"|"count"|"distinct"|"delta"|"percentile50"|"percentile75"|"percentile90"|"percentile95"|"percentile99"|"rateOfChange"|"counter") - **warningConditionLabel** (string): The warning condition label (example: "Warning") - **warningConditionOperator** (string): The warning condition operator (example: ">") - **warningThreshold** (number (double)): The warning threshold (example: 25) - **createdOn** (integer (int64)): Alert creation instant in milliseconds (example: 1638531034107) - **customNotificationTemplate** (object): Custom Notification Template data - **appendText** (string): Appended text after subject (example: " appended text") - **prependText** (string): Prepended text before subject (example: "Prepended text ") - **subject** (string): Template subject (example: "The subject {{__title__}}") - **deactivationReason** (string (MAX_SEGMENTS_LIMIT_REACHED|MAX_ACTIVE_NOTIFICATIONS_LIMIT_REACHED|MAX_SEGMENTS_LIMIT_REACHED| MAX_ACTIVE_NOTIFICATIONS_LIMIT_REACHED)): If the alert was deactivated by the system this represents the reason why it happened ("MAX_SEGMENTS_LIMIT_REACHED"|"MAX_ACTIVE_NOTIFICATIONS_LIMIT_REACHED"|"MAX_SEGMENTS_LIMIT_REACHED"|" MAX_ACTIVE_NOTIFICATIONS_LIMIT_REACHED") - **description** (string): Alert description (example: "Sample alert description") - **durationSec** (integer (int64)): Alert range/duration in seconds. This field will be mapped to duration in case the alert type is PROMETHEUS, to observationWindow in case of GROUP_OUTLIERS, to range otherwise. This field is deprecated in favour of appropriate config.range, config.duration or config.observationWindow fields (example: 180) - **enabled** (boolean): Enabled flag (example: true) - **group** (string): Alert group (example: "Default") - **id** (integer (int64)): Alert ID (example: 10) - **labels** (object): map of key/values to be used to tag the alert - **links** (array (AlertLinkV2)): List of links for this alert Array items: - **href** (string): The url this link refers to. Required when type is runbook - **id** (string): The id of the entity this link refers to. Required when type is dashboard or dashboard template (example: "45") - **name** (string): The name associated with this link, if any - **type** (string (dashboard|dashboardTemplate|runbook)) (required): The kind of entity this link refers to (example: "dashboard") ("dashboard"|"dashboardTemplate"|"runbook") - **modifiedOn** (integer (int64)): Alert modification instant in milliseconds (example: 1638531060020) - **name** (string): Alert name (example: "Sample alert") - **notificationChannelConfigList** (array (NotificationChannelConfigV2DTO)): List of notification channels configurations for this alert Array items: - **channelId** (integer (int64)) (required): Channel ID (example: 1) - **defaultOptions** (object): Notification Channel Options V2 - **Custom template specific for this channel** (object): Custom Notification Template data - **Notify on acknowledge flag** (boolean) (example: true) - **Notify on resolve flag** (boolean) (example: false) - **Renotify on unresolved interval in seconds** (integer (int32)) (example: 360) - **enabled** (boolean): Channel enablement status (example: true) - **name** (string): Channel extended name (example: "Sample mail channel") - **options** (object): Notification Channel Options V2 - **overrideOptions** (object): Notification Channel Options V2 - **type** (string (EMAIL|SNS|SLACK|PAGER_DUTY|VICTOROPS|OPSGENIE|WEBHOOK|POWER_WEBHOOK|IBM_FUNCTION|MS_TEAMS|TEAM_EMAIL|IBM_EVENT_NOTIFICATIONS|PROMETHEUS_ALERT_MANAGER|GCHAT|UNKNOWN)): Channel type (example: "EMAIL") ("EMAIL"|"SNS"|"SLACK"|"PAGER_DUTY"|"VICTOROPS"|"OPSGENIE"|"WEBHOOK"|"POWER_WEBHOOK"|"IBM_FUNCTION"|"MS_TEAMS"|"TEAM_EMAIL"|"IBM_EVENT_NOTIFICATIONS"|"PROMETHEUS_ALERT_MANAGER"|"GCHAT"|"UNKNOWN") - **severity** (string (high|medium|low|none)): Alert severity (example: "high") ("high"|"medium"|"low"|"none") - **teamId** (integer (int32)): Team ID (example: 14) - **type** (string (ADVANCED_MANUAL|ANOMALY_DETECTION|DOWNTIME|EVENT|LEGACY_GROUP_OUTLIER|MANUAL|PROMETHEUS|FORM_BASED_PROMETHEUS|PERCENTAGE_OF_CHANGE|GROUP_OUTLIERS)): Alert type (example: "DOWNTIME") ("ADVANCED_MANUAL"|"ANOMALY_DETECTION"|"DOWNTIME"|"EVENT"|"LEGACY_GROUP_OUTLIER"|"MANUAL"|"PROMETHEUS"|"FORM_BASED_PROMETHEUS"|"PERCENTAGE_OF_CHANGE"|"GROUP_OUTLIERS") - **unreportedAlertNotificationsRetentionSec** (integer (int32)): The retention time for which an alert notification should be kept as active when an associated metric is not reported anymore. Expressed in seconds (example: 259200) ("null") - **version** (integer (int64)): Alert version (example: 3) #### 401 - Unauthorized #### 403 - Forbidden #### 404 - When the alert does not exists or cannot be read by the user **AlertV2Wrapper** - **alert** (object): Alert V2 - **captureConfig** (object): Alert V2 Capture Config - **durationSec** (integer (int64)) (required): Capture duration in seconds (example: 1800) - **enabled** (boolean): Capture enablement status (example: false) - **fileName** (string) (required): Capture file name - **filter** (string): Capture filter - **storage** (string): Capture storage (example: "S3") - **config** (object): Downtime Alert Config V2 - **conditionOperator** (string) (required): The condition operator (example: ">") - **duration** (integer (int64)): A time interval that defines for how long an Alert's condition should be met before an Alert Occurrence is created. Measured in seconds (example: 60) - **groupAggregation** (string (avg|timeAvg|max|min|sum|key|none|concat|count|distinct|delta|percentile50|percentile75|percentile90|percentile95|percentile99|rateOfChange|counter)): The group aggregation (example: "avg") ("avg"|"timeAvg"|"max"|"min"|"sum"|"key"|"none"|"concat"|"count"|"distinct"|"delta"|"percentile50"|"percentile75"|"percentile90"|"percentile95"|"percentile99"|"rateOfChange"|"counter") - **mainConditionLabel** (string): The main condition label (example: "Alert") - **metric** (object): Alert Metric Descriptor V2 - **groupAggregations** (array (string (avg|timeAvg|max|min|sum|key|none|concat|count|distinct|delta|percentile50|percentile75|percentile90|percentile95|percentile99|rateOfChange|counter))): Set of group aggregations - **id** (string): The metric ID - **metricType** (string): The metric type - **publicId** (string): The prometheus public ID - **scale** (number (double)): The scale - **timeAggregations** (array (string (avg|timeAvg|max|min|sum|key|none|concat|count|distinct|delta|percentile50|percentile75|percentile90|percentile95|percentile99|rateOfChange|counter))): Set of time aggregations - **type** (string): The type - **metricId** (string): The metric id (example: "sysdig_container_up") - **noDataBehaviour** (string (DO_NOTHING|TRIGGER|DO_NOTHING|TRIGGER)): The way the alert should behave in case no data is retrieved from the storage. Possible values are DO_NOTHING or TRIGGER (example: "DO_NOTHING") ("DO_NOTHING"|"TRIGGER"|"DO_NOTHING"|"TRIGGER") - **notificationGroupingCondition** (object): The notification grouping condition. Controls how many notifications are sent for segmented alerts - **type** (string (ALL|ANY|COUNT|PERCENT)): Type of notification grouping condition. Default to ANY. Accepted values are: ALL (sends one notification, only if all segments trigger the alert), ANY (send one notification for each segment that triggers the alert), COUNT (sends one notification, only if at least segments trigger the alert), PERCENT (sends one notification, only if at least percentage of the segments trigger the alert) ("ALL"|"ANY"|"COUNT"|"PERCENT") - **value** (number (double)): Threshold used when type is COUNT or PERCENTAGE - **range** (integer (int64)): Range of data points considered for the time aggregation. Measured in seconds (example: 180) - **scope** (object): Alert Scope V2 - **expressions** (array (ScopeExpressionV2DTO)): Scope specified as a list of scope expressions. Array items: - **descriptor** (object): Alert Label Descriptor V2 (example: []) - **id** (string) (required): The metric ID - **publicId** (string): The prometheus public ID - **operand** (string) (required): The operand - **operator** (string (equals|notEquals|in|notIn|contains|notContains|startsWith)) (required): The operator ("equals"|"notEquals"|"in"|"notIn"|"contains"|"notContains"|"startsWith") - **value** (array (string)) (required): The value - **text** (string): Scope expressed as a text string. On writes, will only take effect if the "expressions" field is not specified - **segmentBy** (array (AlertLabelDescriptorV2DTO)): List of labels for alert segmentation (example: []) Array items: - **threshold** (number (double)) (required): The main threshold (example: 50) - **timeAggregation** (string (avg|timeAvg|max|min|sum|key|none|concat|count|distinct|delta|percentile50|percentile75|percentile90|percentile95|percentile99|rateOfChange|counter)) (required): The time aggregation (example: "timeAvg") ("avg"|"timeAvg"|"max"|"min"|"sum"|"key"|"none"|"concat"|"count"|"distinct"|"delta"|"percentile50"|"percentile75"|"percentile90"|"percentile95"|"percentile99"|"rateOfChange"|"counter") - **warningConditionLabel** (string): The warning condition label (example: "Warning") - **warningConditionOperator** (string): The warning condition operator (example: ">") - **warningThreshold** (number (double)): The warning threshold (example: 25) - **createdOn** (integer (int64)): Alert creation instant in milliseconds (example: 1638531034107) - **customNotificationTemplate** (object): Custom Notification Template data - **appendText** (string): Appended text after subject (example: " appended text") - **prependText** (string): Prepended text before subject (example: "Prepended text ") - **subject** (string): Template subject (example: "The subject {{__title__}}") - **deactivationReason** (string (MAX_SEGMENTS_LIMIT_REACHED|MAX_ACTIVE_NOTIFICATIONS_LIMIT_REACHED|MAX_SEGMENTS_LIMIT_REACHED| MAX_ACTIVE_NOTIFICATIONS_LIMIT_REACHED)): If the alert was deactivated by the system this represents the reason why it happened ("MAX_SEGMENTS_LIMIT_REACHED"|"MAX_ACTIVE_NOTIFICATIONS_LIMIT_REACHED"|"MAX_SEGMENTS_LIMIT_REACHED"|" MAX_ACTIVE_NOTIFICATIONS_LIMIT_REACHED") - **description** (string): Alert description (example: "Sample alert description") - **durationSec** (integer (int64)): Alert range/duration in seconds. This field will be mapped to duration in case the alert type is PROMETHEUS, to observationWindow in case of GROUP_OUTLIERS, to range otherwise. This field is deprecated in favour of appropriate config.range, config.duration or config.observationWindow fields (example: 180) - **enabled** (boolean): Enabled flag (example: true) - **group** (string): Alert group (example: "Default") - **id** (integer (int64)): Alert ID (example: 10) - **labels** (object): map of key/values to be used to tag the alert - **links** (array (AlertLinkV2)): List of links for this alert Array items: - **href** (string): The url this link refers to. Required when type is runbook - **id** (string): The id of the entity this link refers to. Required when type is dashboard or dashboard template (example: "45") - **name** (string): The name associated with this link, if any - **type** (string (dashboard|dashboardTemplate|runbook)) (required): The kind of entity this link refers to (example: "dashboard") ("dashboard"|"dashboardTemplate"|"runbook") - **modifiedOn** (integer (int64)): Alert modification instant in milliseconds (example: 1638531060020) - **name** (string): Alert name (example: "Sample alert") - **notificationChannelConfigList** (array (NotificationChannelConfigV2DTO)): List of notification channels configurations for this alert Array items: - **channelId** (integer (int64)) (required): Channel ID (example: 1) - **defaultOptions** (object): Notification Channel Options V2 - **Custom template specific for this channel** (object): Custom Notification Template data - **Notify on acknowledge flag** (boolean) (example: true) - **Notify on resolve flag** (boolean) (example: false) - **Renotify on unresolved interval in seconds** (integer (int32)) (example: 360) - **enabled** (boolean): Channel enablement status (example: true) - **name** (string): Channel extended name (example: "Sample mail channel") - **options** (object): Notification Channel Options V2 - **overrideOptions** (object): Notification Channel Options V2 - **type** (string (EMAIL|SNS|SLACK|PAGER_DUTY|VICTOROPS|OPSGENIE|WEBHOOK|POWER_WEBHOOK|IBM_FUNCTION|MS_TEAMS|TEAM_EMAIL|IBM_EVENT_NOTIFICATIONS|PROMETHEUS_ALERT_MANAGER|GCHAT|UNKNOWN)): Channel type (example: "EMAIL") ("EMAIL"|"SNS"|"SLACK"|"PAGER_DUTY"|"VICTOROPS"|"OPSGENIE"|"WEBHOOK"|"POWER_WEBHOOK"|"IBM_FUNCTION"|"MS_TEAMS"|"TEAM_EMAIL"|"IBM_EVENT_NOTIFICATIONS"|"PROMETHEUS_ALERT_MANAGER"|"GCHAT"|"UNKNOWN") - **severity** (string (high|medium|low|none)): Alert severity (example: "high") ("high"|"medium"|"low"|"none") - **teamId** (integer (int32)): Team ID (example: 14) - **type** (string (ADVANCED_MANUAL|ANOMALY_DETECTION|DOWNTIME|EVENT|LEGACY_GROUP_OUTLIER|MANUAL|PROMETHEUS|FORM_BASED_PROMETHEUS|PERCENTAGE_OF_CHANGE|GROUP_OUTLIERS)): Alert type (example: "DOWNTIME") ("ADVANCED_MANUAL"|"ANOMALY_DETECTION"|"DOWNTIME"|"EVENT"|"LEGACY_GROUP_OUTLIER"|"MANUAL"|"PROMETHEUS"|"FORM_BASED_PROMETHEUS"|"PERCENTAGE_OF_CHANGE"|"GROUP_OUTLIERS") - **unreportedAlertNotificationsRetentionSec** (integer (int32)): The retention time for which an alert notification should be kept as active when an associated metric is not reported anymore. Expressed in seconds (example: 259200) ("null") - **version** (integer (int64)): Alert version (example: 3) ### Example Usage ```bash curl -X GET "https://api.us1.sysdig.com/api/v2/alerts/{alertId}" ``` ``` -------------------------------- ### GET /api/v2/alerts/groups{?filter} Source: https://cloud.ibm.com/apidocs/monitor.json API endpoint for GET /api/v2/alerts/groups{?filter} ```markdown ### Parameters - **filter** (string, query, optional): filter to use when searching for groups ### Responses #### 200 - Group list successfully retrieved **GroupListWrapper** - **groups** (array (AlertGroup)) Array items: - **id** (string) - **name** (string) #### 401 - Unauthorized #### 403 - Forbidden #### 404 - Not Found ### Example Usage ```bash curl -X GET "https://api.us1.sysdig.com/api/v2/alerts/groups{?filter}?filter=string" ``` ``` -------------------------------- ### Schema: Entry Point Module Source: https://cloud.ibm.com/apidocs/monitor.json The Module is the area in Sysdig Monitor. ```markdown ## Schema: Entry Point Module The Module is the area in Sysdig Monitor. **Type:** string ``` -------------------------------- ### GET /api/v1/silencingRules/{silencingRuleId} Source: https://cloud.ibm.com/apidocs/monitor.json API endpoint for GET /api/v1/silencingRules/{silencingRuleId} ```markdown ### Parameters - **X-Sysdig-Public-Notation** (boolean, header, optional): Optional boolean header. Performs translation of metrics and labels into prometheus/public notation - **silencingRuleId** (integer (int64), path, required): The rule ID to fetch ### Responses #### 200 - Success **SilencingRuleDTO** - **alertIds** (array (integer (int64))): IDs of alerts to be silenced - **createdOn** (integer (int64)): Creation date in milliseconds - **durationInSec** (integer (int64)) (required): Duration of the rule in seconds. Max duration is 365 days - **enabled** (boolean) (required): Boolean to set the rule enabled or not - **id** (integer (int64)): Unique ID. Must be set to null when creating a new silencing rule - **modifiedOn** (integer (int64)): Last modification date in milliseconds - **name** (string) (required): Name of the rule - **notificationChannelIds** (array (integer (int64))): List of channels IDs the rule should notify the start and end of silencing - **scope** (string): Scope of the rule, expressed as a string (example: "kubernetes_cluster_name = 'foo'") - **startTs** (integer (int64)) (required): Start time of the rule in milliseconds - **version** (integer (int64)): Object version. Must be set to null when creating a new silencing rule #### 401 - Unauthorized #### 403 - Forbidden #### 404 - Silencing Rule not found for the customer/team **SilencingRuleDTO** - **alertIds** (array (integer (int64))): IDs of alerts to be silenced - **createdOn** (integer (int64)): Creation date in milliseconds - **durationInSec** (integer (int64)) (required): Duration of the rule in seconds. Max duration is 365 days - **enabled** (boolean) (required): Boolean to set the rule enabled or not - **id** (integer (int64)): Unique ID. Must be set to null when creating a new silencing rule - **modifiedOn** (integer (int64)): Last modification date in milliseconds - **name** (string) (required): Name of the rule - **notificationChannelIds** (array (integer (int64))): List of channels IDs the rule should notify the start and end of silencing - **scope** (string): Scope of the rule, expressed as a string (example: "kubernetes_cluster_name = 'foo'") - **startTs** (integer (int64)) (required): Start time of the rule in milliseconds - **version** (integer (int64)): Object version. Must be set to null when creating a new silencing rule ### Example Usage ```bash curl -X GET "https://api.us1.sysdig.com/api/v1/silencingRules/{silencingRuleId}" ``` ``` -------------------------------- ### POST /platform/v1/access-keys Source: https://cloud.ibm.com/apidocs/monitor.json Create a new access key.\ \ **Required permissions:** _customer-access-keys.edit_ ```markdown ### Request Body **Content-Type:** application/json - **agentLimit** (integer (int32)): Maximum number of agents that can be connected with the access key (example: 100) - **agentReservation** (integer (int32)): Number of agents that are guaranteed to be available for the access key (example: 5) - **metadata** (object): Access key metadata (maximum of 20 key-value pairs where key can be up to 25 characters long and value can be up to 50 characters long) - **teamId** (integer (int32)): ID of team that owns the access key (example: 13) ### Responses #### 201 - Access key created. **AccessKeyResponseV1** - **accessKey** (string): Displays the access key value (example: "f97af7c5-dac3-49b1-b5e0-710871d34a15") - **agentLimit** (integer (int32)): Maximum number of agents that can be connected with the access key (example: 100) - **agentReservation** (integer (int32)): Number of agents that are guaranteed to be available for the access key (example: 5) - **dateCreated** (string (date-time)): Date and time when access key was created (example: "2022-01-31T22:15:28Z") - **dateDisabled** (string (date-time)): Date and time when access key was disabled (example: "2022-01-31T22:15:28Z") - **id** (integer (int64)): (example: 1) - **isEnabled** (boolean): Indicates if the access key is enabled (example: true) - **metadata** (object): Access key metadata (maximum of 20 key-value pairs where key can be up to 25 characters long and value can be up to 50 characters long) - **teamId** (integer (int32)): ID of team that owns the access key (example: 13) #### 400 - response **Error** - **details** (array (unknown)): A list of details related to the error. - **message** (string): A human readable error message. (example: "Error message") - **type** (string): The error code. (example: "resource_not_found") #### 401 - response **Error** - **details** (array (unknown)): A list of details related to the error. - **message** (string): A human readable error message. (example: "Error message") - **type** (string): The error code. (example: "resource_not_found") #### 403 - response **Error** - **details** (array (unknown)): A list of details related to the error. - **message** (string): A human readable error message. (example: "Error message") - **type** (string): The error code. (example: "resource_not_found") #### 409 - response **Error** - **details** (array (unknown)): A list of details related to the error. - **message** (string): A human readable error message. (example: "Error message") - **type** (string): The error code. (example: "resource_not_found") #### 415 - response **Error** - **details** (array (unknown)): A list of details related to the error. - **message** (string): A human readable error message. (example: "Error message") - **type** (string): The error code. (example: "resource_not_found") #### 422 - response **Error** - **details** (array (unknown)): A list of details related to the error. - **message** (string): A human readable error message. (example: "Error message") - **type** (string): The error code. (example: "resource_not_found") #### 429 - response **Error** - **details** (array (unknown)): A list of details related to the error. - **message** (string): A human readable error message. (example: "Error message") - **type** (string): The error code. (example: "resource_not_found") #### 500 - response **Error** - **details** (array (unknown)): A list of details related to the error. - **message** (string): A human readable error message. (example: "Error message") - **type** (string): The error code. (example: "resource_not_found") ### Example Usage ```bash curl -X POST "https://api.us1.sysdig.com/platform/v1/access-keys" \ -H "Content-Type: application/json" \ -d '{ "agentLimit": 100, "agentReservation": 5, "metadata": "value", "teamId": 13 }' ``` ```